Type to search.

Get rollup job information

  • GET /_rollup/job/{id}
  • GET /_rollup/job
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental since 6.3 This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes. Deprecated

Get the configuration, stats, and status of rollup jobs.

Note

This API returns only active (both STARTED and STOPPED) jobs. If a job was created, ran for a while, then was deleted, the API does not return any details about it. For details about a historical rollup job, the rollup capabilities API may be more useful.

Required privileges

Cluster privileges monitor_rollup

Path parameters

id string optional

Identifier for the rollup job. If it is _all or omitted, the API returns all rollup jobs.

Leave it out to use /_rollup/job.

Response

application/json
jobs object[] required
config object required

The rollup job configuration.

cron string required
groups object required
id string required
index_pattern string required
metrics object[] required
field string required

The field to collect metrics for. This must be a numeric of some kind.

metrics enum[] required

An array of metrics to collect for the field. At least one metric must be configured.

Values: min max sum avg value_count
page_size number required
rollup_index string required
timeout union oneOf required
Values: -1 0
stats object required

Transient statistics about the rollup job, such as how many documents have been processed and how many rollup summary docs have been indexed. These stats are not persisted. If a node is restarted, these stats are reset.

documents_processed number required
index_failures number required
index_time_in_ms number required
index_total number required
pages_processed number required
rollups_indexed number required
search_failures number required
search_time_in_ms number required
search_total number required
trigger_count number required
processing_time_in_ms number required
processing_total number required
status object required

The current status of the indexer for the rollup job.

current_position map string to object
job_state enum required
Values: started indexing stopping stopped aborting
upgraded_doc_id boolean